function save_mf_injections(injections,searchPath,injectionIndex,waveformIndex,alphasIndexMin)

% DESCRIPTION : this function writes the content of the array of
% structure injections in a text file. The file is saved in the
% SEARCH/tmp folder. One file can contain all alpha values
% (zebragard case) or 1 alpha only (lonetrack case)
% 
% 
% SYNTAX :
%    [] = save_mf_injections(injections,injectionIndex,waveformIndex,alphasIndexMin)
% 
% INPUT : 
%    injections : array of structure (1 structure for each alpha)
%    injectionIndex : index of the injection
%    waveformIndex : index of the waveform
%    alphasIndexMin : minimal index value of all possible alphas
%
% AUTHOR : Marie Anne Bizouard
% CONTACT : mabizoua@lal.in2p3.fr
% VERSION : 1
% DATE : oct 2015
%

filename=[searchPath '/tmp/injections_' num2str(injectionIndex) ...
	  '_' num2str(waveformIndex) '_' num2str(alphasIndexMin) '.txt']

fid=fopen(filename, 'w');

for i=1:size(injections,1)
  fprintf(fid,...
	  ['%2.2f %3.2f %10.1f %0.2g %s %s ' ...
	   '%3.2f %3.2f %0.4g %0.4g %3.2f %3.2f %3.2f %3.2f %0.3g %0.6f \n'], ...
	  injections(i).ra, ...
	  injections(i).decl, ...
	  injections(i).startGPS, ...
	  injections(i).duration, ...
	  injections(i).name, ...
	  injections(i).inj_type, ...
	  injections(i).iota, ...
	  injections(i).psi, ...
	  injections(i).F1, ...
	  injections(i).F2, ...
	  injections(i).SNR1, ...
	  injections(i).SNR2, ...
	  injections(i).SNR1s, ...
	  injections(i).SNR2s, ...
	  injections(i).hrss, ...
	  injections(i).alpha);
end
fclose(fid);

